@echo off
echo Generating Hive adapters...
flutter packages pub run build_runner build --delete-conflicting-outputs

echo.
echo Generating app icons...
flutter pub run flutter_launcher_icons:main

echo.
echo Generating splash screen...
flutter pub run flutter_native_splash:create

echo.
echo Generation completed!
pause
